package cn.sh.stc.sict.theme.hphy.dao;

import cn.sh.stc.sict.theme.hphy.vo.StatisticsUsageVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author gao
 * @date 2023/01/06 11:09
 */
@Mapper
public interface HpStatisticsMapper {

    /**
     * 按时间统计各医院预约人数
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return
     */
    List<StatisticsUsageVO.HosUsageStatistics> queryAppointmentUserGroupByHos(@Param("startTime") String startTime,
                                                                              @Param("endTime") String endTime);

    /**
     * 统计新增用户
     *
     * @param startTime
     * @param endTime
     * @return
     */
    Long countNewUser(@Param("startTime") String startTime,
                      @Param("endTime") String endTime);


    /**
     * 统计登录用户
     *
     * @param startTime
     * @param endTime
     * @return
     */
    Long countLoginUser(@Param("startTime") String startTime,
                        @Param("endTime") String endTime);

}
